#!/bin/bash

# ORACLE_SID for the Oracle SID name
# example: export SIDNAME=MYDB
export SIDNAME=

# DBNAME for the Oracle Database name
# example: export DBNAME=MYDB
export DBNAME=

# Database Listener Port
# example: export LISTENERPORT=1522
export LISTENERPORT=

# Install Sample Schema into the Oracle Database
# example: export DBCA_SAMPLE_SCHEMA=yes
export DBCA_SAMPLE_SCHEMA=

# Define the Filesystem Type will be used on NVMe storage for database files
# Options available are: ext4 or xfs
# example: export FS_TYPE=ext4
# example: export FS_TYPE=xfs
export FS_TYPE=

# Define the mount-point where NVMe storage will be mounted and where database files will be created
# example: FS_DATAFILE_LOCATION=/db
export FS_DATAFILE_LOCATION=

# Further Popular parameters: that may be useful to change during initial or re-deployment:
# - DBCA_PLUGGABLE_DB_NAME (Pluggable database name)  defaults 'orclpdb'
# - REDOLOG_FILESIZE_MB (redologs size) default automatic
# - CLONE_SI_DATABASE_AUTOSTART_USE_SYSTEMD (Start DB via Systemd framework) default "no"
# - CLONE_DATABASE_EDITION (Database Edition) default "EE"  [STD for Standard Edition 2]

mount /u01
mkdir -p $FS_DATAFILE_LOCATION
mkfs.$FS_TYPE /dev/nvme0n1
mount /dev/nvme0n1 $FS_DATAFILE_LOCATION
echo "/dev/nvme0n1 $FS_DATAFILE_LOCATION  auto defaults,_netdev 0 0" >> /etc/fstab
/u01/ocidb/GenerateNetconfig.sh > /u01/ocidb/netconfig.ini
/u01/ocidb/buildsingle.sh -s
