#!/bin/bash

# ORACLE_SID for the Oracle SID name
# example: SIDNAME=MYDB
export SIDNAME=

# DBNAME for the Oracle Database name
# example: DBNAME=MYDB
export DBNAME=

# Database Listener Port
# example: LISTENERPORT=1522
export LISTENERPORT=

# Install Sample Schema into the Oracle Database
# example: DBCA_SAMPLE_SCHEMA=yes
export DBCA_SAMPLE_SCHEMA=

# Further Popular parameters: that may be useful to change during initial or re-deployment:
# - DBCA_PLUGGABLE_DB_NAME (Pluggable database name)  defaults 'orclpdb'
# - REDOLOG_FILESIZE_MB (redologs size) default automatic
# - CLONE_SI_DATABASE_AUTOSTART_USE_SYSTEMD (Start DB via Systemd framework) default "no"
# - CLONE_DATABASE_EDITION (Database Edition) default "EE"  [STD for Standard Edition 2]

mount /u01
/u01/ocidb/GenerateNetconfig.sh > /u01/ocidb/netconfig.ini
/u01/ocidb/buildsingle.sh -s
